#!/usr/bin/env bash
#My Phone Installer
#By s0l1dsnak3123

############### INFO ######################################################
#This script will automatically install My Phone Explorer,    		  #
#and configure it so that it can be run under wine.	     		  #
###########################################################################

############### BUGS ######################################################
#Currently there are no known bugs. If you find bugs please   		  #
#contact s0l1dsnak3123 at s0l1dsnak3123@gmail.com	      		  #
###########################################################################

############### USE #######################################################
#Uninstalling:								  #
#   -u, --uninstall, -U, --UNINSTALL   Uninstalls My Phone Explorer       #
#Getting the GPL: 							  #
#   -g, --gpl, -G, --GPL   Downloads and displays the GPL.		  #
#Getting help:								  #
#   -h, --help, -H, --HELP     Produces help (which includes this message #
#									  #
# This Script is licenced under the GPL, which can be read below:	  #
###########################################################################

############### LICENCE ###################################################
#Copyright (C) 2008  John Hamelink					  #
#									  #
#This program is free software: you can redistribute it and/or modify	  #
#it under the terms of the GNU General Public License as published by     #
#the Free Software Foundation, either version 3 of the License, or	  #
#(at your option) any later version.					  #
#									  #
#This program is distributed in the hope that it will be useful,          #
#but WITHOUT ANY WARRANTY; without even the implied warranty of		  #
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		  #
#GNU General Public License for more details.				  #
#									  #
#You should have received a copy of the GNU General Public License  	  #
#along with this program.  If not, see <http://www.gnu.org/licenses/>.    #
###########################################################################


version="3.2"
function show_status
{
	clear
	if [[ $status -ge  1 ]]; then
		echo -e "\033[1m-= s0l1dsnak3123's my phone explorer auto-installer :D =-\033[0m"
	fi
	if [[ $status -ge 2 ]]
	then
		echo -e "\033[1mDownloading Winetricks...\033[0m"
	fi
	if [[ $status -ge 3 ]]
	then
		echo -e "\033[1mDownloading and Installing VB6 Runtimes...\033[0m"
	fi
	if [[ $status -ge 4 ]]
	then
		echo -e "\033[1mDownloading and Installing MSXML v3...\033[0m"
	fi
	if [[ $status -ge 5 ]]
	then
		echo -e "\033[1mDownloading My Phone Explorer...\033[0m"
	fi
	if [[ $status -ge 6 ]]
	then
		echo -e "\033[1mUnzipping MPE archive...\033[0m"
	fi
	if [[ $status -ge 7 ]]
	then
		echo -e "\033[1mCopying MPE into Wine C:\\MyPhoneExplorer\\ drive...\033[0m"
	fi
	if [[ $status -ge 8 ]]
	then
		echo -e "\033[1mRenaming oleaut32.dll to oleaut32-alt.dll...\033[0m"
	fi
	if [[ $status -ge 9 ]]
	then
		echo -e "\033[1mDownloading MSwindows version of oleaut32.dll...\033[0m"
	fi
	if [[ $status -ge 10 ]]
	then
		echo -e "\033[1mCopying oleaut32.dll to ~/.wine/drive_c/windows/system32/oleaut32.dll...\033[0m"
	fi
	if [[ $status -ge 11 ]]
	then
		echo -e "\033[1mDownloading STDOLE2.TLB...\033[0m"
	fi
	if [[ $status -ge 12 ]]
	then
		echo -e "\033[1mCopying STDOLE2.TLB to ~/.wine/drive_c/windows/system32/STDOLE2.TLB...\033[0m"
	fi
	if [[ $status -ge 13 ]]
	then
		echo -e "\033[1mRegistering oleaut32.dll...\033[0m"
	fi
	if [[ $status -ge 14 ]]
	then
		echo -e "\033[1mRegistering other DLLs...\033[0m"
	fi
	if [[ $status -ge 15 ]]
	then
		echo -e "\033[1mSetting up USB and bluetooth...\033[0m"
	fi
	if [[ $status -ge 16 ]]
	then
		echo -e "\033[1mSetting up English Language...\033[0m"
		echo -e "\033[1m		Downloading Reg File...\033[0m"
	fi
	if [[ $status -ge 17 ]]
	then
		echo -e "\033[1m		Importing Reg File...\033[0m"
	fi
	if [[ $status -ge 18 ]]
	then
		echo -e "\033[1mSetting up Shortcuts...\033[0m"
	fi
	if [[ $status -ge 19 ]]
	then
		echo -e "\033[1mCleaning up ~/myphoneexplorer/...\033[0m"
	fi
	if [[ $status -ge 20 ]]
	then
		echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
		echo -e "\033[1mMyPhoneInstaller by s0l1dsnak3123\033[0m"
		echo ""
		echo -e "\033[1m                        FINISHED!\033[0m"
		echo ""
		echo "Stats:"
		if [[ $bluetoothcompat == 1 ]]
		then
			echo "Bluetooth is compatible,"
			echo "Hex address found during scan: ${scan[2]},"
			echo "Name associated with Hex address: $scanname."
		else
			echo "Bluetooth is not compatible, or no bluetooth device was found."
		fi
		echo ""
		echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
		echo ""
		echo -e "\033[1m			Instructions:\033[0m"
		echo "When MPE starts, click on File > Options, then type COM1 in the"
		echo "com port text box (for a USB connection) or type COM2 (for a bluetooth "
		echo "connection), then check Stable connection (for bluetooth) and click OK."
		echo "Lastly, click on the 'refresh' button (in the top corner, next"
		echo "to the Down arrow) and MPE will connect!"
		echo ""
		echo -e "\033[1mPress Enter to run My Phone Explorer!\033[0m"
	fi
	if [[ $status -ge 21 ]]
	then
		echo -e "\033[1mRunning My Phone Explorer...\033[0m"
	fi
return;
}

function DE_detect {
	echo -e "\033[1mDetecting Desktop Environment\033[0m"
	if [[  `ps -e | grep nautilus` ]]
	then
		echo -e "\033[1m		Using Gnome - using gksu\033[0m"
		de_su="gksu"
	elif [[ `ps -e | grep kdesktop` ]]
	then
			echo -e "\033[1m		Using KDE - using kdesu\033[0m"
		de_su="kdesu"
	else
		echo -e "\033[1m		WARNING! Couldn't detect Desktop Environment\033[0m"
		echo -e "\033[1mChecking for sudo...\033[0m"
		
		if [[ `sudo --help` ]]
		then
			echo -e "\033[1m		Sudo found\033[0m"
			de_su="sudo"
		else
			echo -e "\033[1m		WARNING! Sudo not found!\033[0m"
			if [ `id -u` != "0" ]
			then
				echo -e "\033[1mERROR! Please run this script as a superuser if you do not have gnome, kde, or sudo installed.\033[0m"
				exit 1
			else
				echo -e "\033[1m		You are root - no superuser prefixes needed.\033[0m"
			fi
		fi
	fi
return;
}

function update
{
echo -e "\033[1mChecking for Updates...\033[0m"

if [[ -e ~/myphoneexplorer/update.txt ]] #if update.txt exists, delete it...
then
	rm ~/myphoneexplorer/update.txt
fi

wget "http://www.fjsoft.at/forum/forumspace/files/update.txt" -q -q -P ~/myphoneexplorer/ #download update.txt


update="$(cat ~/myphoneexplorer/update.txt)" #$update = contents of update.txt
if [[ "$update" == "$version" ]] #if version is the same as the other
then
	echo "		No Updates available"
elif [[ $update > "$version" ]]
then
	echo "		New Updates available!"
	wget "http://www.fjsoft.at/forum/forumspace/files/myphoneinstaller.tar.gz" -q -q -P ~/myphoneexplorer/ #download new version
	cd ~/myphoneexplorer/
	tar zxvf ~/myphoneexplorer/myphoneinstaller.tar.gz
	echo -e "\033[1mA new version has been downloaded... please run that.\033[0m"
	exit
else
	echo -e "\033[1mYou have an unreleased version of My Phone installer... Lucky you!\033[0m"	
fi
return;
}

status=1 #1
show_status

## CHECK FOR ARGS BEFORE STARTING!!!
if [[ "$1" == "-h" ]] || [[ "$1" == "--help" ]] || [[ "$1" == "-H" ]] || [[ "$1" == "--HELP" ]]
then
	
	echo -e "\033[1mMy Phone Explorer Autoinstaller Version $version\033[0m"
	echo -e "\033[1mBy John Hamelink AKA s0l1dsnak3123\033[0m"
	echo ""
	echo -e "\033[1mUsage:\033[0m"
	echo "           myphoneinstaller$version.sh [OPTION]]"
	echo "No options are mandatory"
	echo -e "\033[1mUninstalling:\033[0m"
	echo "   -u, --uninstall, -U, --UNINSTALL   Uninstalls My Phone Explorer"
	echo -e "\033[1mGetting the GPL:\033[0m"
	echo "   -g, --gpl, -G, --GPL   Downloads and displays the GPL."
	echo -e "\033[1mGetting help:\033[0m"
	echo "   -h, --help, -H, --HELP     Produces this message."
	exit
elif [[ "$1" == "-g" ]] || [[ "$1" == "--gpl" ]] || [[ "$1" == "-G" ]] || [[ "$1" == "--GPL" ]]
then
	
	echo "Downloading GPL... Please wait."
	wget "http://files.manitougs.at/mpe/MPE_script/gpl.txt" -q -q -P ~/myphoneexplorer/
	cat ~/myphoneexplorer/gpl.txt
	exit
elif [[ "$1" == "-u" ]] || [[ "$1" == "--uninstall" ]] || [[ "$1" == "-U" ]] || [[ "$1" == "--UNINSTALL" ]]
then 
	
	echo "Are you sure you want to uninstall? [y|n]]"
	read reply
		if [[ $reply == "n" ]] || [[ $reply == "no" ]]
		then
			echo "Exiting..."
			exit
		fi
	echo "Uninstalling..."
	echo ""
	echo ""

	
	if [[ -d ~/myphoneexplorer ]]
	then
		echo "# Removing ~/myphoneexplorer..."
		rm -R ~/myphoneexplorer/
	fi
	
	
	if [[ -d ~/.wine/drive_c/MyPhoneExplorer ]]
	then
		echo "# Removing ~/.wine/drive_c/MyPhoneExplorer..."
		rm -R ~/.wine/drive_c/MyPhoneExplorer
	fi

	
	if [[ -e ~/.wine/drive_c/windows/system32/oleaut32-alt.dll ]]
	then
		echo "# Replacing original oleaut32.dll..."
		mv ~/.wine/drive_c/windows/system32/oleaut32-alt.dll ~/.wine/drive_c/windows/system32/oleaut32.dll
	fi
	
	echo "# Removing com1 symlink..."
	unlink ~/.wine/dosdevices/com1 &> /dev/null

	echo "# Removing com2 symlink..."
	unlink ~/.wine/dosdevices/com2 &> /dev/null

	echo "# Restarting bluetooth..."
	$de_su \"/etc/init.d/bluetooth restart\" &> /dev/null

	if [[ -e ~/Desktop/My\ Phone\ Explorer.desktop ]]
	then
		echo "# Removing desktop link..."
		rm ~/Desktop/My\ Phone\ Explorer.desktop
		
	fi

	if [[ -e /usr/share/applications/My\ Phone\ Explorer.desktop ]]
	then
		echo "# Removing menu item..."
		`$de_su rm /usr/share/applications/My\ Phone\ Explorer.desktop`
	fi
	echo ""
	echo ""
	echo "Uninstallation Complete..."
	echo "Exiting..."
	exit
fi

#####################################
DE_detect ###########################
#exit ################################
#####################################

#check for ~/myphoneexplorer
if [[ -d ~/myphoneexplorer ]]
then
echo "Directory ~/myphoneexplorer found, cleaning..."
rm -R ~/myphoneexplorer/
mkdir ~/myphoneexplorer/
else
echo "Directory ~/myphoneexplorer not found, Making directory"
mkdir ~/myphoneexplorer/
fi

# Check for updates
###################
update ############
###################

if [[ -d ~/.wine/drive_c/MyPhoneExplorer/ ]]
then

	echo -e "\033[1mMy Phone Installer has already been installed...\033[0m"
	exit
else
	echo "Making ~/.wine/drive_c/MyPhoneExplorer/..."
	mkdir ~/.wine/drive_c/MyPhoneExplorer/
fi

#Go into ~/myphoneexplorer/ directory.
cd ~/myphoneexplorer/

#Download VB6 runtimes
status=$((status + 1)) #2
show_status
#Download Winetricks
wget "http://www.kegel.com/wine/winetricks" -q -P ~/myphoneexplorer/
chmod +x "winetricks"

status=$((status + 1)) #3
show_status
#Install VB6 using winetricks       #redirect output to nothing -it doesn't look very good...
`./winetricks -q vb6run` &> /dev/null

status=$((status + 1)) #4
show_status
#Install MSXML v3         #redirect output to nothing -it doesn't look very good...
`./winetricks -q msxml3` &> /dev/null 


status=$((status + 1)) #5
show_status
#download MPE
wget "http://www.fjsoft.at/files/MyPhoneExplorer_wine.zip" -q -P ~/myphoneexplorer/


#unzip MPE archive
status=$((status + 1)) #6 
show_status
unzip MyPhoneExplorer_wine.zip


#Copy Directory to ~/.wine/drive_c/MyPhoneExplorer/MyPhoneExplorer/
status=$((status + 1)) #7
show_status
cp -R ~/myphoneexplorer/MyPhoneExplorer ~/.wine/drive_c/MyPhoneExplorer/MyPhoneExplorer


#Rename oleaut32.dll to oleaut32-alt.dll in ~/.wine/drive_c/windows/system32
status=$((status + 1)) #8
show_status
mv ~/.wine/drive_c/windows/system32/oleaut32.dll ~/.wine/drive_c/windows/system32/oleaut32-alt.dll


status=$((status + 1)) #9
show_status
wget "http://files.manitougs.at/mpe/MPE_script/OLEAUT32.DLL" -q -P ~/myphoneexplorer/


status=$((status + 1)) #10
show_status
cp ~/myphoneexplorer/OLEAUT32.DLL ~/.wine/drive_c/windows/system32/oleaut32.dll


status=$((status + 1)) #11
show_status
wget "http://www.ascentive.com/support/new/images/lib/STDOLE2.TLB" -q -P ~/myphoneexplorer/

status=$((status + 1)) #12
show_status
cp ~/myphoneexplorer/STDOLE2.TLB ~/.wine/drive_c/windows/system32/STDOLE2.TLB

echo "Downloading other DLLs..."
wget "http://files.manitougs.at/mpe/MPE_script/MSVBVM60.DLL" -q -P ~/myphoneexplorer/
cp ~/myphoneexplorer/MSVBVM60.DLL ~/.wine/drive_c/windows/system32/MSVBVM60.DLL

status=$((status + 1)) #13
show_status
`wine regsvr32 oleaut32.dll` &> /dev/null  #redirect output nothing - its rubbish

status=$((status + 1)) #14
show_status

`wine regsvr32 STDOLE2.TLB` &> /dev/null
`wine regsvr32 MSVBVM60.DLL` &> /dev/null


cd ~/.wine/drive_c/MyPhoneExplorer/MyPhoneExplorer/DLL/     #redirect output to nothing - its rubbish
`wine regsvr32 ~/.wine/drive_c/MyPhoneExplorer/MyPhoneExplorer/DLL/ccrpDtp6.ocx` &> /dev/null 
`wine regsvr32 ~/.wine/drive_c/MyPhoneExplorer/MyPhoneExplorer/DLL/ccrpUCW6.dll` &> /dev/null 
`wine regsvr32 ~/.wine/drive_c/MyPhoneExplorer/MyPhoneExplorer/DLL/ShellMgr.dll` &> /dev/null 
`wine regsvr32 ~/.wine/drive_c/MyPhoneExplorer/MyPhoneExplorer/DLL/SSubTmr6.dll` &> /dev/null 
`wine regsvr32 ~/.wine/drive_c/MyPhoneExplorer/MyPhoneExplorer/DLL/vbalExpBar6.ocx` &> /dev/null 
`wine regsvr32 ~/.wine/drive_c/MyPhoneExplorer/MyPhoneExplorer/DLL/vbalIml6.ocx` &> /dev/null 
`wine regsvr32 ~/.wine/drive_c/MyPhoneExplorer/MyPhoneExplorer/DLL/vbalSGrid6.ocx` &> /dev/null 

status=$((status + 1)) #15
show_status
cd ~/.wine/dosdevices/ #Make symlink to COM port
$de_su \"chmod 777 /dev/ttyACM0\" #give read/write/execute access to com port
ln -is /dev/ttyACM0 com1

echo "Please turn on your phone's bluetooth before we proceed..."
echo "[Press enter when ready]"
read
echo "Running scan... please wait"
export scan=(`hcitool scan`)

#Scanning ... 00:12:AA:B3:CC:45 <== could be anything after this white space - including more white spaces...

i=3 #start counter off at after scanning... <hex>
while (( $i < ${#scan[@]} ))
do
	scanname="$scanname ${scan[i++]}"
	#echo "host number $i is ${host[i++]}"
done
echo ""
if [[ "${scan[2]}" == "" ]]
then
	echo "Your bluetooth device is not supported... sorry :("
	bluetoothcompat=0
else
	echo "Found bluetooth device :)"
	
	echo "Hex = ${scan[2]}"
	echo "Name = $scanname"
	bluetoothcompat=1
fi

if [[ $bluetoothcompat == 1 ]]
then
	echo "Binding Hex address..."
	$de_su rfcomm bind 0 ${scan[2]}
	echo "Done"

	echo "Restarting bluetooth..."
	$de_su \"/etc/init.d/bluetooth restart\"

	cd ~/.wine/dosdevices
	$de_su \"chmod 777 /dev/rfcomm0\" #give read/write/execute access to bluetooth
	ln -is /dev/rfcomm0 ~/.wine/dosdevices/com2 #create bluetooth symlink
	$de_su \"chmod 777 ~/.wine/dosdevices/com2\"
	echo "Connecting to phone..."
	$de_su rfcomm connect 0 ${scan[2]} 2
	echo "If this device hasn't been paired with this computer, you should receive a pairing message now..."
	`echo \"ATZ\" > /dev/rfcomm0`
fi
status=$((status + 1)) #16
show_status
wget "http://files.manitougs.at/mpe/MPE_script/MPE_reg.reg" -q -P ~/myphoneexplorer/

status=$((status + 1)) #17
show_status
`regedit ~/myphoneexplorer/MPE_reg.reg`

status=$((status + 1)) #18
show_status

#write a bash file to load MPE correctly...
echo "#!/usr/bin/env bash"								                                              >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
if [[ $bluetoothcompat == 1 ]]
then

	echo "export scan=(\`hcitool scan\`)" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "i=3 #start counter off at after scanning... <hex>" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "while (( \$i < \${#scan[@]} ))" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "do" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	scanname=\"\$scanname \${scan[i++]}\"" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	#echo \"host number \$i is \${host[i++]}\"" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "done" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "if [[ \"\${scan[2]}\" == \"\" ]]" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "then" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	echo \"Your bluetooth device is not supported... sorry :(\"" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	bluetoothcompat=0" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "else" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer 
	echo "	echo \"Found bluetooth device :)\"" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo ""	 >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	echo \"Hex = \${scan[2]}\"" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	echo \"Name = \$scanname\"" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	bluetoothcompat=1" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "fi" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer

	echo "if [[ \$bluetoothcompat == 1 ]]" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "then" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	echo \"Binding Hex address...\"" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	$de_su rfcomm bind 0 \${scan[2]}" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	echo \"Done\"" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	echo \"Restarting bluetooth...\"" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	$de_su \\\"/etc/init.d/bluetooth restart\\\"" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer

	echo "	cd ~/.wine/dosdevices" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "	$de_su \\\"chmod 777 /dev/rfcomm0\\\" #give read/write/execute access to bluetooth" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
	echo "fi" >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer

fi
echo "echo \"Running My Phone Explorer...\""						                                              >> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
echo "\`WINEDLLOVERRIDES=\"oleaut32=n\" wine ~/.wine/drive_c/MyPhoneExplorer/MyPhoneExplorer/MyPhoneExplorer.exe\`"                   	>> ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer
chmod +x ~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer


#if a desktop icon exists...
if [[ -e ~/Desktop/My\ Phone\ Explorer ]]
then
	echo "Desktop Icon exists - deleting"
	rm ~/Desktop/My\ Phone\ Explorer.desktop
fi

echo -e "\033[1mDownloading icon...\033[0m"
wget "http://www.fjsoft.at/forum/forumspace/files/icon.png" -q -P ~/.wine/drive_c/MyPhoneExplorer/


echo "" 										>> ~/Desktop/My\ Phone\ Explorer.desktop
echo "[Desktop Entry]" 									>> ~/Desktop/My\ Phone\ Explorer.desktop
echo "Encoding=UTF-8" 									>> ~/Desktop/My\ Phone\ Explorer.desktop
echo "Version=1.0" 									>> ~/Desktop/My\ Phone\ Explorer.desktop
echo "Type=Application"									>> ~/Desktop/My\ Phone\ Explorer.desktop
echo "Terminal=false"									>> ~/Desktop/My\ Phone\ Explorer.desktop
echo "Icon[en_GB]=gnome-panel-launcher" 						>> ~/Desktop/My\ Phone\ Explorer.desktop
echo "Name[en_GB]=My Phone Explorer" 							>> ~/Desktop/My\ Phone\ Explorer.desktop
echo "Exec=\"/home/`whoami`/.wine/drive_c/MyPhoneExplorer/My Phone Explorer\""		>> ~/Desktop/My\ Phone\ Explorer.desktop
echo "Comment[en_GB]=Launch My Phone Explorer" 						>> ~/Desktop/My\ Phone\ Explorer.desktop
echo "Name=My Phone Explorer" 								>> ~/Desktop/My\ Phone\ Explorer.desktop
echo "Comment=Launch My Phone Explorer" 						>> ~/Desktop/My\ Phone\ Explorer.desktop
echo "Icon=/home/`whoami`/.wine/drive_c/MyPhoneExplorer/icon.png" 			>> ~/Desktop/My\ Phone\ Explorer.desktop


chmod +x ~/Desktop/My\ Phone\ Explorer.desktop

if [[ -e /usr/share/applications/My\ Phone\ Explorer.desktop ]]
then
	echo "Menu Icon exists - deleting"
	`$de_su rm /usr/share/applications/My\ Phone\ Explorer.desktop` #delete as super user...
fi

echo "[Desktop Entry]"									>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop
echo "Encoding=UTF-8"									>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop
echo "Version=1.0"									>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop
echo "Type=Application"									>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop
echo "Terminal=false"									>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop
echo "Icon[en_GB]=gnome-panel-launcher"							>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop
echo "Name[en_GB]=My Phone Explorer"							>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop
echo "Exec=\"/home/`whoami`/.wine/drive_c/MyPhoneExplorer/My Phone Explorer\""		>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop
echo "Comment[en_GB]=Launch My Phone Explorer"						>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop
echo "Name=My Phone Explorer"								>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop
echo "Comment=Launch My Phone Explorer"							>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop
echo "Icon=/home/`whoami`/.wine/drive_c/MyPhoneExplorer/icon.png"			>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop
echo "Categories=Wine-Programs-MyPhoneExplorer;"							>> ~/myphoneexplorer/My\ Phone\ Explorer.desktop

`$de_su cp ~/myphoneexplorer/My\ Phone\ Explorer.desktop /usr/share/applications/My\ Phone\ Explorer.desktop` #copy .desktop as super user...

`$de_su chmod +x /usr/share/applications/My\ Phone\ Explorer.desktop` #chmod as super user...



status=$((status + 1)) #19
show_status
rm -R ~/myphoneexplorer/ #delete ~/myphoneexplorer - we're all done, so it isn't needed.


#All Done!
status=$((status + 1)) #19
show_status
read #wait for user's Enter...

status=$((status + 1)) #20
show_status
`~/.wine/drive_c/MyPhoneExplorer/My\ Phone\ Explorer`
exit

